<template>
  <new-black-theme-m-header-title
    v-if="isThemeAllowed"
    :title="$t('deposit')"
    style="border-bottom: 1px solid var(--background4)"
    :isShowBtn="false"
  />
  <div v-if="isLoading" class="flex w-full h-screen">
    <div v-loading="isLoading" class="w-full"></div>
  </div>
  <div v-if="isBankMethodAvailabled">
    <div v-if="!isLoading" class="bg-[var(--background2)] lightblue-customize-color">
      <div class="divider-y">
        <div
          v-if="isThemeAllowed"
          id="method-option"
          class="relative grid gap-2 grid-cols-2 px-5 pt-5"
          style="border: none"
        >
          <template
            v-for="paymentMethod in paymentBanks.PaymentMethodsForDeposit"
            :key="paymentMethod.PaymentMethodId"
          >
            <nuxt-link
              :to="'/telegram/deposit/payment-bank/' + paymentMethod.PaymentMethod"
            >
              <DepositTab
                :text="paymentMethod.PaymentMethodDisplayName"
                :class="{
                  active: checkSelectedTab(paymentMethod.PaymentMethod),
                }"
              />
            </nuxt-link>
          </template>
          <nuxt-link
            v-if="isNormalBankMethodEnabled"
            to="/telegram/deposit/bank-transfer"
          >
            <DepositTab
              :text="$t('bank_transfer')"
              :class="{ active: checkSelectedTab('bank-transfer') }"
            />
          </nuxt-link>
          <nuxt-link
            v-if="isManualCryptoCurrencyEnabled"
            to="/telegram/deposit/manual-crypto-currency"
          >
            <DepositTab
              :text="$t('manual_crypto_currency')"
              :class="{ active: checkSelectedTab('manual-crypto-currency') }"
            />
          </nuxt-link>
          <nuxt-link v-if="IsAutoDepositEnabled" to="/telegram/deposit/auto-deposit">
            <DepositTab
              :text="$t('auto_deposit')"
              :class="{ active: checkSelectedTab('auto-deposit') }"
            />
          </nuxt-link>
        </div>
        <ul
          v-else
          class="payment-method-group px-5 py-6 grid grid-cols-2 gap-2"
        >
          <template v-if="isPaymentBankMethodEnabled">
            <nuxt-link
              v-for="paymentMethod in paymentBanks.PaymentMethodsForDeposit"
              :key="paymentMethod.PaymentMethodId"
              :to="'/telegram/deposit/payment-bank/' + paymentMethod.PaymentMethod"
              active-class="selected"
            >
              <img
                class="check-img absolute"
                :src="getAssetImage('assets/svg-icon/checked.svg')"
                alt="check"
              />
              <div class="icon">
                <img :src="paymentMethod.PaymentMethodIconUrl" />
              </div>
              {{ paymentMethod.PaymentMethodDisplayName }}
            </nuxt-link>
          </template>
          <nuxt-link
            v-if="isNormalBankMethodEnabled"
            to="/telegram/deposit/bank-transfer"
            active-class="selected"
          >
            <img
              class="check-img absolute"
              :src="getAssetImage('assets/svg-icon/checked.svg')"
              alt="check"
            />
            <div class="icon">
              <img
                :src="
                  getAssetImage(
                    'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                  )
                "
              />
            </div>
            {{ $t("bank_transfer") }}
          </nuxt-link>
          <nuxt-link
            v-if="isManualCryptoCurrencyEnabled"
            to="/telegram/deposit/ManualCryptoCurrency"
            active-class="selected"
          >
            <img
              class="check-img absolute"
              :src="getAssetImage('assets/svg-icon/checked.svg')"
              alt="check"
            />
            <div class="icon">
              <img
                :src="
                  getAssetImage(
                    'assets/materials/paymentMethod/icon-manual-crypto-currency@2x.png'
                  )
                "
              />
            </div>
            {{ $t("manual_crypto_currency") }}
          </nuxt-link>
          <nuxt-link
            v-if="IsAutoDepositEnabled"
            to="/telegram/deposit/auto-deposit"
            active-class="selected"
          >
            <img
              class="check-img absolute"
              :src="getAssetImage('assets/svg-icon/checked.svg')"
              alt="check"
            />
            <div class="icon">
              <img
                :src="
                  getAssetImage(
                    'assets/materials/paymentMethod/icon-internet-banking@2x.png'
                  )
                "
              />
            </div>
            {{ $t("auto_deposit") }}
          </nuxt-link>
        </ul>
        <nuxt-page
          class="pb-52"
          :payment-banks="paymentBanks"
          :normal-banks="normalBanks"
          :profile="profile"
          :manual-crypto-currency="manualCryptoCurrency"
        />
      </div>
    </div>
  </div>
  <div v-else class="px-5 py-6 flex justify-center">
    <span>{{ $t("no_available_method_to_do_the_transaction") }}</span>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import { Navigation } from "swiper";
import { useRoute } from "vue-router";
import DepositTab from "./DepositTab.client.vue";
import useProfile from "@/composables/useProfile";
import { useDeposit } from "@/composables/payment/deposit/useDeposit";
import { store } from "@/store";

export default defineComponent({
  name: "Deposit",
  components: {
    DepositTab,
  },
  setup() {
    const {
      paymentBanks,
      normalBanks,
      manualCryptoCurrency,
      isNormalBankMethodEnabled,
      isPaymentBankMethodEnabled,
      isManualCryptoCurrencyEnabled,
      IsAutoDepositEnabled,
      isLoading,
      isBankMethodAvailabled,
    } = useDeposit();
    const { profile } = useProfile();
    const { getAssetImage } = commonHelper;
    const allowThemes = ["main", "black", "china", "sbo", "global", "playful"];
    const isMordern = computed(
      () => store.state.selectedThemeName === "modern"
    );
    const isThemeAllowed = computed(() =>
      allowThemes.includes(store.state.selectedThemeName)
    );
    const route = useRoute();
    const checkSelectedTab = (params: string) => {
      const tab = route.fullPath.split("/").pop();
      if (tab === params) {
        return true;
      }
      return false;
    };
    return {
      paymentBanks,
      normalBanks,
      manualCryptoCurrency,
      isNormalBankMethodEnabled,
      isPaymentBankMethodEnabled,
      profile,
      isManualCryptoCurrencyEnabled,
      IsAutoDepositEnabled,
      isLoading,
      getAssetImage,
      isBankMethodAvailabled,
      isThemeAllowed,
      checkSelectedTab,
      modules: [Navigation],
      isMordern,
    };
  },
});
</script>
<style scoped lang="scss">
div[layout="light_flexible_desktop_1"]
  .swiper:not(:has(div.swiper-button-prev))
  .swiper-wrapper {
  justify-content: start;
}

.text-tertiary {
  color: var(--tertiary);
}

.payment-bank-menu {
  color: var(--text);
  border-bottom: 2px solid transparent;
}
.payment-bank-menu.selected-tab {
  color: var(--secondary);
  font-weight: 500;
  border-color: var(--secondary);
}
</style>

<style lang="scss">
.deposit-container {
  & h5 {
    color: var(--hint);
  }
  .el-radio-button {
    --el-radio-button-checked-border-color: var(--primary);
    --el-radio-button-checked-bg-color: rgb(0, 0, 0, 0);
    --el-radio-button-checked-text-color: var(--text);
    margin-right: 0;
    height: 100%;
    min-height: 32px;

    .check-img {
      height: 18px !important;
    }
    &.is-active {
      & .el-radio-button__inner {
        @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
        box-shadow: none !important;
        border: var(--secondary) solid 2px;
        white-space: break-spaces;
        color: var(--secondary);
      }
    }
    & .el-radio-button__inner {
      @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
      box-shadow: none !important;
      border: var(--border) solid 2px;
      white-space: break-spaces;
      color: var(--text);
      & img {
        height: 100%;
      }
    }
    & .el-radio-button__inner::before {
      background: var(--secondary) !important;
    }
    .el-radio-button__original-radio:checked + .el-radio-button__inner,
    &:first-child
      .el-radio-button__original-radio:checked
      + .el-radio-button__inner {
      border-color: var(--secondary);
    }
  }
}
[theme-color="bk8"] {
  .slip-card {
    img {
      filter: invert(0%) sepia(90%) saturate(7500%) hue-rotate(72deg)
        brightness(0%) contrast(109%);
    }
    .el-button.el-button--primary {
      background-color: transparent !important;
      color: var(--primary) !important;
    }
  }
}
[theme-color="main_lightblue"] {
  .lightblue-customize-color {
    color: #FFFFFF;
    background-color: var(--background5) !important;

    .el-form-item__label {
      color: #FFFFFF;
    }

    .el-input__inner {
      color: var(--text5) !important;
      background-color: rgba($color: #000000, $alpha: 0.1)
    }
  }
}
</style>
